
    <!DOCTYPE html>
    <html>
      <head>
        <title>EmulatorJS</title>

        <link rel=icon href=docs/favicon.ico sizes="16x16 32x32 48x48 64x64" type=image/vnd.microsoft.icon>
        <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />

        <style>
          body,
          html {
            height: 100%;
          }

          body {
            font-family: monospace;
            font-weight: bold;
            font-size: 20px;
            margin: 0;
            overflow: hidden;
            background-color: #222;
          }

          body,
          #box {
            display: flex;
            align-items: center;
            justify-content: center;
          }

          #box {
            color: #aaa;
            height: 20em;
            width: 30em;
            max-width: 80%;
            max-height: 80%;
            background-color: #333;
            border-radius: 0.4em;
            border: 2px solid #555;
            position: relative;
            flex-direction: column;
            transition-duration: 0.2s;
            overflow: hidden;
          }

          #box:hover,
          #box[drag] {
            border-color: #38f;
            color: #ddd;
          }

          #input {
            cursor: pointer;
            position: absolute;
            left: 0;
            top: 0;
            width: 100%;
            height: 100%;
            opacity: 0;
          }

          #display {
            width: 100%;
            height: 100%;
          }

          select,
          button {
            padding: 0.6em 0.4em;
            margin: 0.5em;
            width: 15em;
            max-width: 100%;
            font-family: monospace;
            font-weight: bold;
            font-size: 16px;
            background-color: #444;
            color: #aaa;
            border-radius: 0.4em;
            border: 1px solid #555;
            cursor: pointer;
            transition-duration: 0.2s;
          }

          select:hover,
          button:hover {
            background-color: #666;
            color: #ddd;
          }

          .menu {
            position: absolute;
            top: 0.25rem;
            left: 0;
            width: 2rem;
            height: 2rem;
            z-index: 999;
            display: flex;
            justify-content: center;
            align-items: center;
            transition: opacity 0.3s ease-in-out;
          }
        </style>
      </head>

      <body>
        <div id="box">
          <input type="file" id="input" onchange="" />
          Drag ROM file or click here
        </div>

        <script>
          const svgMenu = `<svg fill="#FA5252" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 50 50" width="24px" height="24px">
    <path d="M 0 7.5 L 0 12.5 L 50 12.5 L 50 7.5 Z M 0 22.5 L 0 27.5 L 50 27.5 L 50 22.5 Z M 0 37.5 L 0 42.5 L 50 42.5 L 50 37.5 Z" fill="#ddd"/>
    </svg>`;
          const closeMenu = `<svg fill="#ddd" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 30 30" width="24px" height="24px">
    <path d="M 7 4 C 6.744125 4 6.4879687 4.0974687 6.2929688 4.2929688 L 4.2929688 6.2929688 C 3.9019687 6.6839688 3.9019687 7.3170313 4.2929688 7.7070312 L 11.585938 15 L 4.2929688 22.292969 C 3.9019687 22.683969 3.9019687 23.317031 4.2929688 23.707031 L 6.2929688 25.707031 C 6.6839688 26.098031 7.3170313 26.098031 7.7070312 25.707031 L 15 18.414062 L 22.292969 25.707031 C 22.682969 26.098031 23.317031 26.098031 23.707031 25.707031 L 25.707031 23.707031 C 26.098031 23.316031 26.098031 22.682969 25.707031 22.292969 L 18.414062 15 L 25.707031 7.7070312 C 26.098031 7.3170312 26.098031 6.6829688 25.707031 6.2929688 L 23.707031 4.2929688 C 23.316031 3.9019687 22.682969 3.9019687 22.292969 4.2929688 L 15 11.585938 L 7.7070312 4.2929688 C 7.5115312 4.0974687 7.255875 4 7 4 z"/>
    </svg>`;
          function toggleSetting(menuEl) {
            if (document.getElementsByClassName("ejs--1acedc5ed6816abe96dd27d910fd74")[0]) {
              var getEL = document.getElementsByClassName("ejs--1acedc5ed6816abe96dd27d910fd74")[0];
              if (getEL.style.display === "flex") {
                getEL.style.display = "none";
                getEL.style.transform = "tranlateY(100%)";
                getEL.style.pointerEvents = "none";
                menuEl.style.opacity = 0;
                setTimeout(() => {
                  menuEl.innerHTML = svgMenu;
                  menuEl.style.opacity = 1;
                }, 300);
              } else {
                getEL.style.display = "flex";
                getEL.style.opacity = 1;
                getEL.style.transform = "none";
                getEL.style.pointerEvents = "all";
                menuEl.style.opacity = 0;
                setTimeout(() => {
                  menuEl.innerHTML = closeMenu;
                  menuEl.style.opacity = 1;
                }, 300);
              }
            }
          }
          async function init(pathFile = "../nes-games/battle-city-p2.nes") {
            //   const url = await fetch(pathFile).then(val => (val.arrayBuffer()))
            const parts = pathFile.split(".");

            const core = await (async (ext) => {
              if (["fds", "nes", "unif", "unf"].includes(ext)) return "nes";

              if (["smc", "fig", "sfc", "gd3", "gd7", "dx2", "bsx", "swc"].includes(ext)) return "snes";

              if (["z64", "n64"].includes(ext)) return "n64";

              if (["nds", "gba", "gb", "z64", "n64"].includes(ext)) return ext;

              return await new Promise((resolve) => {
                const cores = {
                  "Nintendo 64": "n64",
                  "Nintendo Game Boy": "gb",
                  "Nintendo Game Boy Advance": "gba",
                  "Nintendo DS": "nds",
                  "Nintendo Entertainment System": "nes",
                  "Super Nintendo Entertainment System": "snes",
                  PlayStation: "psx",
                  "Virtual Boy": "vb",
                  "Sega Mega Drive": "segaMD",
                  "Sega Master System": "segaMS",
                  "Sega CD": "segaCD",
                  "Atari Lynx": "lynx",
                  "Sega 32X": "sega32x",
                  "Atari Jaguar": "jaguar",
                  "Sega Game Gear": "segaGG",
                  "Sega Saturn": "segaSaturn",
                  "Atari 7800": "atari7800",
                  "Atari 2600": "atari2600",
                };

                const button = document.createElement("button");
                const select = document.createElement("select");

                for (const type in cores) {
                  const option = document.createElement("option");

                  option.value = cores[type];
                  option.textContent = type;
                  select.appendChild(option);
                }

                button.onclick = () => resolve(select[select.selectedIndex].value);
                button.textContent = "Load game";
                box.innerHTML = "";

                box.appendChild(select);
                box.appendChild(button);
              });
            })(parts.pop());

            const div = document.createElement("div");
            const menu = document.createElement("button");
            const sub = document.createElement("div");
            const script = document.createElement("script");

            sub.id = "game";
            div.id = "display";
            menu.className = "menu";
            menu.innerHTML = svgMenu;

            menu.onclick = () => toggleSetting(menu);
            //   setTimeout(() => {
            //     sub.appendChild(menu)
            //   }, 200)

            box.remove();
            div.appendChild(sub);
            document.body.appendChild(div);

            window.EJS_player = "#game";
            window.EJS_gameName = parts.shift();
            window.EJS_biosUrl = "";
            window.EJS_gameUrl = pathFile;
            window.EJS_core = core;
            window.EJS_pathtodata = "data/";
            //   window.EJS_startOnLoaded = true;

            script.src = "loader.js";
            script.onload = function () {
              setTimeout(() => {
                document.getElementsByClassName("ejs--3a16fd9a56aec8059089709cbb16f4")[0].style.display = "none";
                document.getElementsByClassName("ejs--2521e1257996f264de36e77cc9c5ee")[0].appendChild(menu);
              }, 100);
              // getEL.style.display = "none !important"
            };
            document.body.appendChild(script);
          }

          init('vs-slalom-vs.nes');
        </script>
        <style>
          /* .ejs--5e71fd80268afbb1d588e40b993508 {
          display: none !important;
        } */

          .ejs--3a16fd9a56aec8059089709cbb16f4 {
            display: none !important;
          }

          .menu {
            display: none;
          }

          @media screen and (max-width: 978px) {
            .ejs--1acedc5ed6816abe96dd27d910fd74 {
              display: none;
            }

            .menu {
              display: flex;
            }

            * {
              -webkit-touch-callout: none;
              -webkit-user-select: none;
              -khtml-user-select: none;
              -moz-user-select: none;
              -ms-user-select: none;
              user-select: none;
            }
          }
        </style>
      </body>
    </html>

    